package com.pcloud.book.advertising.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pcloud.common.dto.BaseDto;
import com.pcloud.common.entity.BaseEntity;

import java.util.Date;

/**
 * 微信群消息
 */
public class AdvertisingWechatMsgDTO extends BaseDto{

    private Long id;

    /**
     * 广告id
     */
    private Long adId;

    /**
     * 广告位置方式
     */
    private String adPositionMode;

    /**
     * 广告位链接
     */
    private String adLink;
    /**
     *广告位标题
     */
    private String adTitle;
    /**
     *广告位文案
     */
    private String adSlogan;
    /**
     *广告位图片
     */
    private String adPic;
    /**
     * 序号
     */
    private Integer seq;
    /**
     * cpaId
     */
    private Long cpaId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAdId() {
        return adId;
    }

    public void setAdId(Long adId) {
        this.adId = adId;
    }

    public String getAdPositionMode() {
        return adPositionMode;
    }

    public void setAdPositionMode(String adPositionMode) {
        this.adPositionMode = adPositionMode == null ? null : adPositionMode.trim();
    }

    public String getAdLink() {
        return adLink;
    }

    public void setAdLink(String adLink) {
        this.adLink = adLink == null ? null : adLink.trim();
    }

    public String getAdTitle() {
        return adTitle;
    }

    public void setAdTitle(String adTitle) {
        this.adTitle = adTitle == null ? null : adTitle.trim();
    }

    public String getAdSlogan() {
        return adSlogan;
    }

    public void setAdSlogan(String adSlogan) {
        this.adSlogan = adSlogan == null ? null : adSlogan.trim();
    }

    public String getAdPic() {
        return adPic;
    }

    public void setAdPic(String adPic) {
        this.adPic = adPic == null ? null : adPic.trim();
    }


    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Long getCpaId() {
        return cpaId;
    }

    public void setCpaId(Long cpaId) {
        this.cpaId = cpaId;
    }

    @Override
    public String toString() {
        return "AdvertisingWechatMsgDTO{" +
                "id=" + id +
                ", adId=" + adId +
                ", adPositionMode='" + adPositionMode + '\'' +
                ", adLink='" + adLink + '\'' +
                ", adTitle='" + adTitle + '\'' +
                ", adSlogan='" + adSlogan + '\'' +
                ", adPic='" + adPic + '\'' +
                ", seq=" + seq +
                ", cpaId=" + cpaId +
                '}';
    }
}